<template>
  <lazy-sport-popular-match
    v-if="props.data.SelectedStyle.includes('module_popular_match')"
    :tab="props.data.SelectedStyle"
  />
  <lazy-lobby-settings-sports-module-two
    v-else-if="props.data.SelectedStyle.includes('_02')"
    :data="props.data"
  />
  <lazy-lobby-settings-sports-module-three
    v-else-if="props.data.SelectedStyle.includes('_03')"
    :data="props.data"
  />
  <lazy-lobby-settings-sports-module-four
    v-else-if="props.data.SelectedStyle.includes('_04')"
    :data="props.data"
  />
  <lazy-lobby-settings-sports-module-one v-else />
</template>

<script lang="ts" setup>
import { ILobbySettingsText } from "~~/models/customizeTheme";

const props = defineProps<{
  data: ILobbySettingsText;
}>();
</script>
